Last Comment Bug 654590 - crash [@ js_strtod(JSContext*, unsigned short const*, unsigned short const*, unsigned short const**, double*)]
: crash [@ js_strtod(JSContext*, unsigned short const*, unsigned short const*, ...
Status: RESOLVED FIXED
: crash, regression
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 Windows 7
: -- critical with 1 vote (vote)
: ---
Assigned To: general
:
:
Mentors:
http://ourbricks.com/viewer/85c448aa4...
Depends on:
Blocks: 651915
  Show dependency treegraph
 
Reported: 2011-05-03 15:48 PDT by Alice0775 White
Modified: 2011-06-09 14:58 PDT (History)
7 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Alice0775 White 2011-05-03 15:48:43 PDT
Build Identifier:
http://hg.mozilla.org/mozilla-central/rev/86248f7209b7
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110503 Firefox/6.0a1 ID:20110503030636

@MrX1980 repoted( http://forums.mozillazine.org/viewtopic.php?p=10763921#p10763921 ).

Browser crashes after the certain page loading.

bp-bfc5c1d0-d53f-4ad1-a869-68ad02110503
bp-03ff3997-3dcb-487c-89a6-4e0342110503


Steps to Reproduce:
1. Start Firefox with new profile(no-addon)
2. Open URL (
http://ourbricks.com/viewer/85c448aa4d84fbf791cca3793f219c26  )
3. Wait for a while

Actual Results:
 Browser crashes with crash reports

Expected Results:
 No crash.

Regression window(m-c hourly):
Works:
http://hg.mozilla.org/mozilla-central/rev/3007eb62abc4
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110426 Firefox/6.0a1 ID:20110426083406
Crashes:
http://hg.mozilla.org/mozilla-central/rev/28bc239d3d9d
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110426 Firefox/6.0a1 ID:20110426104741
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=3007eb62abc4&tochange=28bc239d3d9d


Regression window(TM hourly):
Works:
http://hg.mozilla.org/tracemonkey/rev/d24dbe17bf18
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110418 Firefox/6.0a1 ID:20110421133446
Crashes:
http://hg.mozilla.org/tracemonkey/rev/d148872ae9b2
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110420 Firefox/6.0a1 ID:20110421135136
Pushlog:
http://hg.mozilla.org/tracemonkey/pushloghtml?fromchange=d24dbe17bf18&tochange=d148872ae9b2
Triggered by:
d148872ae9b2	Gregor Wagner — Bug 651915 - Fix MarkStack size. r=billm
Comment 1 Raul Malea 2011-05-04 09:50:37 PDT
Confirm in Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110504 Firefox/6.0a1 ID:20110504030604

My crash report: https://crash-stats.mozilla.com/report/index/bp-2686e2bd-a647-427b-b45f-9de672110504
Comment 2 David Mandelin [:dmandelin] 2011-05-11 06:34:41 PDT
WFM in 5/11 nightly. There were some relevant GC fixes in the past few days, I think. Could you recheck?
Comment 3 Alice0775 White 2011-05-11 06:58:38 PDT
WFM too on
http://hg.mozilla.org/mozilla-central/rev/a45b5cf1d625
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:6.0a1) Gecko/20110511 Firefox/6.0a1 ID:20110511030639

Fixed pushlog:
http://hg.mozilla.org/tracemonkey/pushloghtml?fromchange=f0329a9811c9&tochange=ebc5f8a4b233

Fixed by Bug 652931

Note You need to log in before you can comment on or make changes to this bug.